﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" class="concept">
    <head>
        <link href="../Resources/TableStyles/Nested-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Roles Request Configurations</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1><a name="top"></a>Roles Request Configurations</h1>
        <p>Use this option to manage the configuration parameters for requesting roles. These configuration parameters help you manage different types of roles (Enterprise, Application, Emergency Access), specify actions to perform such as accept or reject role or entitlement requests, export options, evaluate SODs associated with roles and entitlements, specify dynamic attributes, workflow settings, and email notification templates to use.&#160;This configuration is performed from&#160;<strong>Admin &gt; Global Configuration &gt; Role Request</strong>. It controls the&#160;availability of options in the Role Request page of the application.&#160;</p>
        <table class="TableStyle-Nested-Table" style="mc-table-style: url('../Resources/TableStyles/Nested-Table.css');width: 100%;" cellspacing="0">
            <col style="width: 21.3685%;" class="TableStyle-Nested-Table-Column-Column1" />
            <col style="width: 78.6315%;" class="TableStyle-Nested-Table-Column-Column1" />
            <thead>
                <tr class="TableStyle-Nested-Table-Head-Header1">
                    <th class="TableStyle-Nested-Table-HeadE-Column1-Header1">Parameter</th>
                    <th class="TableStyle-Nested-Table-HeadD-Column1-Header1">Description</th>
                </tr>
            </thead>
            <tbody>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <th class="TableStyle-Nested-Table-BodyD-Column1-Body1" style="text-align: left;" colspan="2">
                        <p class="table-text"><strong>Enterprise Roles</strong>
                        </p>
                    </th>
                </tr>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p class="table-text">Request Approve</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                        <p class="table-text">Select this parameter if you want the role request approver to enter comments while approving role requests for Enterprise roles.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p class="table-text">End Date</p>
                    </td>
                    <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                        <p class="table-text">Select this parameter if you want the user to enter the end date of an Enterprise role while requesting for the role.&#160;</p>
                    </td>
                </tr>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <td style="text-align: left;" colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p class="table-text">Allow Update of Access End Date</p>
                    </td>
                    <td style="text-align: left;" colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                        <p class="table-text">Select this parameter if you want the allow the user to request for updating the access end date for an enterprise role.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p class="table-text">Request Reject</p>
                    </td>
                    <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                        <p class="table-text">Select this parameter if you want the role request approver to enter comments while rejecting role requests for Enterprise roles.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p class="table-text">Approval Comments Required (Approval Level)</p>
                    </td>
                    <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                        <p class="table-text">Select this parameter if you want the user approving an Enterprise role request to provide approval comments at the selected instances. The options are:</p>
                        <ul>
                            <li>
                                <p class="table-text"><strong>None:</strong>&#160;The user does not need to provide approval comments in any instance.</p>
                            </li>
                            <li>
                                <p class="table-text"><strong>Comments required at Request Approval Level With SOD Only:</strong>&#160;Prompts the user to provide&#160;approval comments at the time of approving a request for an Enterprise role.</p>
                            </li>
                            <li>
                                <p class="table-text"><strong>Comments required at Request Approval Level (with or without SOD): </strong>Prompts the user to&#160;provide&#160;approval comments in any instance while approving a request for an Enterprise role.</p>
                            </li>
                            <li>
                                <p class="table-text"><strong>Against Each SOD violation Only:</strong>&#160;Prompts the user to provide approval comments for every SOD violation caused due to addition of an Enterprise role.</p>
                            </li>
                            <li>
                                <p class="table-text"><strong>Both (At Request Approval level and SOD Violation level):</strong>&#160;Prompts the user to&#160;provide approval comments while approving a request or when a SOD violation is caused due to addition of an Enterprise role, or both.</p>
                            </li>
                        </ul>
                    </td>
                </tr>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p class="table-text">Business justification required (Request Level)</p>
                    </td>
                    <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                        <p class="table-text">Select this parameter if you want the user requesting for an Enterprise role to enter a business justification at the selected instances. The options are:</p>
                        <ul>
                            <li>
                                <p class="table-text"><strong>None:&#160;</strong>The user does not need to provide business justification.</p>
                            </li>
                            <li>
                                <p class="table-text"><strong>At Request Level: </strong>Prompts the user to&#160;provide business justification at the time of requesting an Enterprise role.</p>
                            </li>
                            <li>
                                <p class="table-text"><strong>Comments required for each SOD violation:&#160;</strong>Prompts the user to&#160;provide a business justification for every SOD violation caused due to addition of an Enterprise role.</p>
                            </li>
                            <li>
                                <p class="table-text"><strong>Both: </strong>Prompts the user to provide&#160;business justification while requesting or when a SOD violation is caused, or both.</p>
                            </li>
                        </ul>
                    </td>
                </tr>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p class="table-text">Account Required in All Endpoints</p>
                    </td>
                    <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                        <p class="table-text">Entitlements in Enterprise roles can be associated to multiple endpoints.</p>
                        <p class="table-text">Select this parameter to allow or disallow users to request for an Enterprise role based on whether users have an active account in the corresponding endpoints. The options are:</p>
                        <ul>
                            <li>
                                <p class="table-text"><strong>Yes:&#160;</strong>Only if a user has an active account in all the endpoints associated with the above entitlements, then only allow users to have access to the Enterprise role.</p>
                            </li>
                            <li>
                                <p class="table-text"><strong>No:&#160;</strong>User doesn’t need to have an active account in all the endpoints associated with the above entitlements in order to have access to the Enterprise role.</p>
                            </li>
                        </ul>
                    </td>
                </tr>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p class="table-text">Evaluate SOD for Enterprise Roles</p>
                    </td>
                    <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                        <p class="table-text">Select this parameter if you want IGA's SOD engine to evaluate the SOD violations preventatively for Enterprise roles.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <td class="TableStyle-Nested-Table-BodyE-Column1-Body1" style="text-align: left;">
                        <p class="table-text"><strong>Dynamic Attribute</strong>
                        </p>
                    </td>
                    <td class="TableStyle-Nested-Table-BodyD-Column1-Body1" style="text-align: left;">
                        <p class="table-text">Allows you to add multiple dynamic attributes associated with requesting Enterprise roles. For more information,&#160;see <MadCap:xref href="../Chapter04-Onboarding-and-Managing-Applications/5.5.x/Viewing-or-Updating-Endpoints.htm">Dynamic Attributes</MadCap:xref>.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <td class="TableStyle-Nested-Table-BodyD-Column1-Body1" colspan="2">
                        <p class="table-text"><strong>ENTERPRISE</strong>
                        </p>
                    </td>
                </tr>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <td style="text-align: left;" colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p class="table-text">Start Date</p>
                    </td>
                    <td style="text-align: left;" colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                        <p class="table-text">Select this parameter if you want the user to enter the start date of an&#160;Enterprise role while requesting for the role.&#160;</p>
                    </td>
                </tr>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <td style="text-align: left;" colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p class="table-text">Request Comments</p>
                    </td>
                    <td style="text-align: left;" colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                        <p class="table-text">Select this parameter if you want the user to enter the request reasons in form of comments while requesting for an&#160;Enterprise role.&#160;</p>
                    </td>
                </tr>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <th class="TableStyle-Nested-Table-BodyD-Column1-Body1" style="text-align: left;" colspan="2">
                        <p class="table-text">Emergency Access Roles</p>
                    </th>
                </tr>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <td style="text-align: left;" colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p class="table-text">Request Approve</p>
                    </td>
                    <td style="text-align: left;" colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                        <p class="table-text">Select this parameter if you want the role request approver to provide comments while approving a role request for&#160;Emergency Access roles.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <td style="text-align: left;" colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p class="table-text">Request Reject</p>
                    </td>
                    <td style="text-align: left;" colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                        <p class="table-text">Select this parameter if you want the role request approver to provide comments while rejecting a role request for Emergency Access&#160;roles.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <td style="text-align: left;" colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p class="table-text">Start Date</p>
                    </td>
                    <td style="text-align: left;" colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                        <p class="table-text">Select this parameter if you want the user to enter the start date of an Emergency Access&#160;role while requesting for therole.&#160;</p>
                    </td>
                </tr>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <td style="text-align: left;" colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p class="table-text">End Date</p>
                    </td>
                    <td style="text-align: left;" colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                        <p class="table-text">Select this parameter if you want the user to enter end date of an Emergency Access&#160;role while requesting for the role.&#160;</p>
                    </td>
                </tr>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p class="table-text">Allow Update of Access End Date</p>
                    </td>
                    <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                        <p class="table-text">Select this parameter, if you want the allow user to request for updating access end date for an emergency access roles.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p class="table-text">Request Comments</p>
                    </td>
                    <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                        <p class="table-text">Select this parameter if you want the user to enter the reason for&#160;requesting for an Emergency Access&#160;in the form of comments while requesting for therole.&#160;</p>
                    </td>
                </tr>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p class="table-text">Evaluate SOD for Emergency access&#160;Roles</p>
                    </td>
                    <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                        <p class="table-text">Select this parameter if you want IGA's SOD engine to evaluate the SOD violations preventatively for Emergency Access&#160;roles.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p class="table-text">Business justification required (Request Level)</p>
                    </td>
                    <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                        <p class="table-text">Select this parameter if you want the user requesting for an Emergency Access&#160;role to provide business justification at the selected instances. The options are:</p>
                        <ul>
                            <li>
                                <p class="table-text"><strong>None:</strong>&#160;The user does not need to provide business justification&#160;while requesting for an<span style="color: rgb(51,51,51);">Emergency Access&#160;</span>role.</p>
                            </li>
                            <li>
                                <p class="table-text"><strong>At Request Level:</strong>&#160;Prompts the user to provide business justification at the time of requesting an<span style="color: rgb(51,51,51);">Emergency Access&#160;</span>role.</p>
                            </li>
                            <li>
                                <p class="table-text"><strong>Comments required for each SOD violation:</strong>Prompts the user to provide business justification for every SOD violation caused due to addition of an Emergency Access&#160;role.</p>
                            </li>
                            <li>
                                <p class="table-text"><strong>Both: </strong>Prompts the user to provide business justification while requesting for an Emergency Access role&#160;or when a SOD violation is caused, or both.&#160;</p>
                            </li>
                        </ul>
                    </td>
                </tr>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p class="table-text">Account Required in All Endpoints</p>
                    </td>
                    <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                        <p class="table-text">Select this parameter to allow or disallow the user with an account in the corresponding endpoint to request for an Emergency Access role.&#160;The options are:</p>
                        <ul>
                            <li>
                                <p class="table-text"><strong>Yes: </strong>Allows a user to request for an&#160;Emergency Access role only if the user has an account provisioned in the endpoint.</p>
                            </li>
                            <li>
                                <p class="table-text"><strong>No: </strong>Disallows a user to request for an&#160;Emergency Access role if the user does not have an account provisioned in the endpoint.</p>
                            </li>
                        </ul>
                    </td>
                </tr>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p class="table-text">Approval Comments Required (Approval Level)</p>
                    </td>
                    <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                        <p class="table-text">Select this parameter if you want the user approving an Emergency Access&#160;role request to provide approval comments at the selected instances. The options are:&#160;</p>
                        <ul>
                            <li>
                                <p class="table-text"><strong>None:&#160;</strong>The user does not need to provide approval comments in any instance.</p>
                            </li>
                            <li>
                                <p class="table-text"><strong>Comments required at Request Approval Level With SOD Only:&#160;</strong>&#160;Prompts the user to provide&#160;approval comments at the time of approving a user request for&#160;an&#160;Emergency Access&#160;role.</p>
                            </li>
                            <li>
                                <p class="table-text"><strong>Comments required at Request Approval Level (with or without SOD):</strong>Prompts the user to provide&#160;approval comments in any instance while approving a request for an Emergency Access&#160;role.</p>
                            </li>
                            <li>
                                <p class="table-text"><strong>Against Each SOD violation Only:</strong>&#160;Prompts the user to provide approval comments for every SOD violation caused due to addition of an Emergency Access&#160;role.</p>
                            </li>
                            <li>
                                <p class="table-text"><strong>Both (At Request Approval level and SOD Violation level):</strong>&#160;Prompts the user&#160;to provide approval comments while approving a user request or when a SOD violation is caused due to addition of an Emergency Access&#160;role, or both.</p>
                            </li>
                        </ul>
                    </td>
                </tr>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p class="table-text">Dynamic Attribute</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                        <p class="table-text">Select this parameter to add dynamic attributes associated with requesting an <span style="color: rgb(51,51,51);">Emergency Access&#160;</span>roles. For more information,&#160;see <MadCap:xref href="../Chapter04-Onboarding-and-Managing-Applications/5.5.x/Viewing-or-Updating-Endpoints.htm">Dynamic Attributes</MadCap:xref>.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <th class="TableStyle-Nested-Table-BodyD-Column1-Body1" style="text-align: left;" colspan="2">
                        <p class="table-text"><strong>SETTINGS</strong>
                        </p>
                    </th>
                </tr>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <td style="text-align: left;" colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p class="table-text">Do not allow SOD above RISK Level</p>
                    </td>
                    <td style="text-align: left;" colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                        <p class="table-text">Use this parameter to restrict a role or an entitlement that causes SOD violations beyond a specified risk level. The options are:</p>
                        <ul>
                            <li>
                                <p class="table-text"><strong>Very Low:</strong>&#160;Allows a role or entitlement causing very low risk only.</p>
                            </li>
                            <li>
                                <p class="table-text"><strong>Low:</strong>&#160;Allows a role or entitlement causing low risk only.</p>
                            </li>
                            <li>
                                <p class="table-text"><strong>Medium:&#160;</strong>Allows a role or entitlement causing medium risk only.</p>
                            </li>
                            <li>
                                <p class="table-text"><strong>High:&#160;</strong>Allows a role or entitlement causing high risk.</p>
                            </li>
                            <li>
                                <p class="table-text"><strong>Very High:&#160;</strong>Allows a role or entitlement causing very high risk.</p>
                            </li>
                        </ul>
                    </td>
                </tr>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p class="table-text">Role Reject Request Template</p>
                    </td>
                    <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                        <p class="table-text">Select the email template to send out (automated) reject request&#160;notification email for a role when an approver rejects a request for accessing a role or an entitlement.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p class="table-text">Role Approved Request Template</p>
                    </td>
                    <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                        <p class="table-text">Select the email template to send out (automated) approved request&#160;notification email for a role when an approver approves a request for accessing a role or an entitlement.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                        <p class="table-text">Role Request Expire Duration (Days)</p>
                    </td>
                    <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                        <p class="table-text">Select the number of days a role request can remain in pending state awaiting approval after which it is automatically terminated.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Nested-Table-Body-Body1">
                    <td colspan="1" class="TableStyle-Nested-Table-BodyB-Column1-Body1">
                        <p class="table-text">Request Roles Query</p>
                    </td>
                    <td colspan="1" class="TableStyle-Nested-Table-BodyA-Column1-Body1">
                        <p class="table-text">Select this parameter to control displaying roles in ARS Request. Based on the query specified, only roles matching the query results are displayed for requestee and requestor.</p>
                    </td>
                </tr>
            </tbody>
        </table>
    </body>
</html>